Message: Re: Can't compile N01 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Feedback Re: Can't compile N01 

Forum: Documentation and Examples
Re: Question Can't compile N01 (Toma Badescu)
Date: 14 Dec, 2010
From: Andreas Schaelicke <Andreas Schaelicke>

Hi,

It looks like your geant4 installation is corrupt. Did you use the recommended installation procedure using Configure -build ? There should not be any need to modify binmake.gmk by hand. What version of geant4 did you use? Are there any unusual characters in the path for geant4 or CLHEP?

The last lines of compiling N01 should read.

 Compiling exampleN01.cc ...
 Using global libraries ...
 Linking exampleN01
 ... Done!

you can use

 export CPPVERBOSE=1
 make

to give you more verbose output of the linking step. Perhaps this helps clarifying your problems.

Best regards, Andreas

 Add Message Add Message
to: "Re: Can't compile N01"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]